"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initConfigFile = exports.PACKAGE_MANAGERS = exports.promiseAllSerially = exports.promiseAllParallelly = exports.prettyLog = void 0;

var _config = _interopRequireDefault(require("../../config/config"));

var _utils = require("../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  CONFIG_FILE_PATH
} = (0, _config.default)(process.env.NODE_ENV);
const PACKAGE_MANAGERS = {
  NPM: 'npm',
  YARN: 'yarn'
};
exports.PACKAGE_MANAGERS = PACKAGE_MANAGERS;

const prettyLog = value => console.log(JSON.stringify(value, null, '\t'));

exports.prettyLog = prettyLog;

const promiseAllSerially = promises => promises.reduce((prevPromise, currentPromise) => prevPromise.then(currentPromise), Promise.resolve());

exports.promiseAllSerially = promiseAllSerially;

const promiseAllParallelly = promises => Promise.all(promises.map(promise => promise()));

exports.promiseAllParallelly = promiseAllParallelly;

const initConfigFile = async () => {
  if (!(await _utils.dataControl.isFileExisted({
    path: CONFIG_FILE_PATH
  }))) {
    await _utils.dataControl.init({
      path: CONFIG_FILE_PATH,
      initialValue: {
        environment: PACKAGE_MANAGERS.NPM
      }
    });
  }
};

exports.initConfigFile = initConfigFile;