"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _config = _interopRequireDefault(require("../../config/config"));

var _utils = require("../utils");

var _common = require("./common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  CONFIG_FILE_PATH
} = (0, _config.default)(process.env.NODE_ENV);

const listEnvs = async () => {
  try {
    await (0, _common.initConfigFile)();
    const configFile = await _utils.dataControl.read({
      path: CONFIG_FILE_PATH
    });
    Object.values(_common.PACKAGE_MANAGERS).forEach(pm => {
      if (configFile.environment === pm) {
        console.log(`* ${pm}`);
      } else {
        console.log(`  ${pm}`);
      }
    });
  } catch (error) {
    console.error(`ERROR: ${error}`);
  }
};

const useEnv = async environment => {
  try {
    await (0, _common.initConfigFile)();

    if (!Object.values(_common.PACKAGE_MANAGERS).includes(environment)) {
      throw new Error(`environment must be either 'npm' or 'yarn': ${environment}`);
    }

    const configFile = await _utils.dataControl.read({
      path: CONFIG_FILE_PATH
    });
    configFile.environment = environment;
    await _utils.dataControl.write(configFile, {
      path: CONFIG_FILE_PATH
    });
    console.log(`The default was changed to '${environment}'`);
  } catch (error) {
    console.error(`ERROR: ${error}`);
  }
};

var _default = {
  listEnvs,
  useEnv
};
exports.default = _default;